summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO10
-rw-r--r--001-mythwebcount.patch41
-rw-r--r--002-mythweb.patch36
-rw-r--r--PKGBUILD21
4 files changed, 101 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 4bb417c2313..8041a62767b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = mythplugins
pkgver = 30.0
- pkgrel = 3
+ pkgrel = 4
epoch = 1
url = http://www.mythtv.org
arch = x86_64
@@ -25,7 +25,7 @@ pkgbase = mythplugins
makedepends = python2-pycurl
makedepends = python2-oauth
makedepends = gdb
- makedepends = libmariadbclient
+ makedepends = mariadb-libs
makedepends = minizip
makedepends = python2-lxml
makedepends = mysql-python
@@ -34,8 +34,12 @@ pkgbase = mythplugins
makedepends = perl-xml-xpath
source = mythtv-30.0.tar.gz::https://github.com/MythTV/mythtv/archive/v30.0.tar.gz
source = mythweb-30.0.tar.gz::https://github.com/MythTV/mythweb/archive/v30.0.tar.gz
+ source = 001-mythwebcount.patch
+ source = 002-mythweb.patch
sha256sums = 7f7ae9b8927659616f181afc12d7ddc26b0a4b0d13982e2586985f4770640b43
sha256sums = b0569bdd6f5e6fed959d98ff883912142da42e3ee6ea3984ece116f09a5dc01c
+ sha256sums = 5761623dfcd36ecde723ca1b350f650c13a7d58f8107d4a88f6b0e3888df41d3
+ sha256sums = 86792ef1249df2b679431466312b3654f276aabb96791edf87ba41946cea67c1
pkgname = mythplugins-mytharchive
pkgdesc = Create DVDs or archive recorded shows in MythTV
@@ -94,6 +98,6 @@ pkgname = mythplugins-mythweb
pkgname = mythplugins-mythzoneminder
pkgdesc = View CCTV footage from zoneminder in MythTV
depends = mythtv
- depends = libmariadbclient
+ depends = mariadb-libs
depends = zoneminder
diff --git a/001-mythwebcount.patch b/001-mythwebcount.patch
new file mode 100644
index 00000000000..336c6817446
--- /dev/null
+++ b/001-mythwebcount.patch
@@ -0,0 +1,41 @@
+diff --git a/modules/tv/classes/Schedule.php b/modules/tv/classes/Schedule.php
+index c63f9483..1814d6e2 100644
+--- a/modules/tv/classes/Schedule.php
++++ b/modules/tv/classes/Schedule.php
+@@ -103,7 +103,9 @@ class Schedule extends MythBase {
+ public static function findAll($sort = true) {
+ global $db;
+ $orderby = '';
+- if ($sort && count($_SESSION['schedules_sortby'])) {
++ if ($_SESSION['schedules_sortby']) $schedule_sort = count($_SESSION['schedules_sortby']);
++ else $schedule_sort = 0;
++ if ($sort && $schedule_sort) {
+ $orderby = 'ORDER BY ';
+ foreach ($_SESSION['schedules_sortby'] AS $key => $sort) {
+ if ($key > 0)
+diff --git a/modules/tv/tmpl/default/detail.php b/modules/tv/tmpl/default/detail.php
+index f6d1faa9..4a4ee5e1 100644
+--- a/modules/tv/tmpl/default/detail.php
++++ b/modules/tv/tmpl/default/detail.php
+@@ -842,7 +842,9 @@
+ }
+ echo ' </ul>';
+ }
+- if (count($program->jobs['queue'])) {
++ if ($program->jobs['queue']) $jobcount = (count($program->jobs['queue']));
++ else $jobcount = 0;
++ if ($jobcount) {
+ echo t('Queued jobs'), ':',
+ ' <ul class="-queued">';
+ foreach ($program->jobs['queue'] as $job) {
+@@ -856,7 +858,9 @@
+ }
+ echo ' </ul>';
+ }
+- if (count($program->jobs['done'])) {
++ if ($program->jobs['done']) $jobsdone = count($program->jobs['done']);
++ else $jobsdone = 0;
++ if ($jobsdone) {
+ echo t('Recently completed jobs'), ':',
+ ' <ul class="-done">';
+ foreach ($program->jobs['done'] as $job) {
diff --git a/002-mythweb.patch b/002-mythweb.patch
new file mode 100644
index 00000000000..bf3babfac4d
--- /dev/null
+++ b/002-mythweb.patch
@@ -0,0 +1,36 @@
+diff --git a/modules/tv/search.php b/modules/tv/search.php
+index 468b3422..3fe893c7 100644
+--- a/modules/tv/search.php
++++ b/modules/tv/search.php
+@@ -344,7 +344,7 @@
+ case 'Recorded':
+ case 'NeverRecord':
+ unset($Results[$key]);
+- continue;
++ break;
+ }
+ }
+ }
+@@ -358,7 +358,7 @@
+ case 'EarlierShowing':
+ case 'LaterShowing':
+ unset($Results[$key]);
+- continue;
++ break;
+ }
+ }
+ }
+@@ -457,11 +457,11 @@
+ case 'both':
+ return $db->escape($value);
+ case 'start':
+- return $db->escape(preg_replace('/[\\s-_]+/', '%', $value).'%');
++ return $db->escape(preg_replace('/[\\s_-]+/', '%', $value).'%');
+ case 'end':
+- return $db->escape('%'.preg_replace('/[\\s-_]+/', '%', $value));
++ return $db->escape('%'.preg_replace('/[\\s_-]+/', '%', $value));
+ default:
+- return $db->escape('%'.preg_replace('/[\\s-_]+/', '%', $value).'%');
++ return $db->escape('%'.preg_replace('/[\\s_-]+/', '%', $value).'%');
+ }
+ }
diff --git a/PKGBUILD b/PKGBUILD
index cf164167307..38a8a04aff0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -14,7 +14,7 @@ pkgname=('mythplugins-mytharchive'
'mythplugins-mythweb'
'mythplugins-mythzoneminder')
pkgver=30.0
-pkgrel=3
+pkgrel=4
epoch=1
arch=('x86_64')
url="http://www.mythtv.org"
@@ -22,13 +22,17 @@ license=('GPL')
makedepends=('dvdauthor' 'dvd+rw-tools' 'ffmpeg' 'libexif' 'mesa-libgl' "mythtv=$epoch:$pkgver"
'perl-datetime-format-iso8601' 'perl-date-manip' 'perl-image-size' 'perl-cgi'
'perl-json' 'perl-libwww' 'perl-soap-lite' 'perl-xml-simple' 'perl-xml-xpath' 'libhdhomerun'
- 'python2-pillow' 'python2-pycurl' 'python2-oauth' 'gdb' 'libmariadbclient' 'minizip'
+ 'python2-pillow' 'python2-pycurl' 'python2-oauth' 'gdb' 'mariadb-libs' 'minizip'
'python2-lxml' 'mysql-python' 'urlgrabber' 'python2-future' 'perl-xml-xpath')
source=("mythtv-$pkgver.tar.gz::https://github.com/MythTV/mythtv/archive/v$pkgver.tar.gz"
"mythweb-$pkgver.tar.gz::https://github.com/MythTV/mythweb/archive/v$pkgver.tar.gz"
+ '001-mythwebcount.patch'
+ '002-mythweb.patch'
)
sha256sums=('7f7ae9b8927659616f181afc12d7ddc26b0a4b0d13982e2586985f4770640b43'
- 'b0569bdd6f5e6fed959d98ff883912142da42e3ee6ea3984ece116f09a5dc01c')
+ 'b0569bdd6f5e6fed959d98ff883912142da42e3ee6ea3984ece116f09a5dc01c'
+ '5761623dfcd36ecde723ca1b350f650c13a7d58f8107d4a88f6b0e3888df41d3'
+ '86792ef1249df2b679431466312b3654f276aabb96791edf87ba41946cea67c1')
prepare() {
cd "$srcdir/mythtv-$pkgver/$pkgbase"
@@ -37,6 +41,15 @@ prepare() {
cd "$srcdir/mythweb-$pkgver"
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+
sed -re 's@/usr/local.*/usr/share@/usr/share@' -i 'mythweb.php'
}
@@ -130,7 +143,7 @@ package_mythplugins-mythweb() {
package_mythplugins-mythzoneminder() {
pkgdesc="View CCTV footage from zoneminder in MythTV"
- depends=('mythtv' 'libmariadbclient' 'zoneminder')
+ depends=('mythtv' 'mariadb-libs' 'zoneminder')
cd "$srcdir/mythtv-$pkgver/$pkgbase/mythzoneminder"
make INSTALL_ROOT="$pkgdir" install